Bug 382441 - FAT Filesystem panic USB memory stick
FAT Filesystem panic USB memory stick
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 09:03 EST by Daniel Peterson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-25 16:56:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Peterson 2007-11-14 09:03:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727)

Description of problem:
after yum update today to 2.6.23.1-21.fc7
my USB memory stick only mount in read only.

Messages:
Nov 14 14:13:43 newage hald: mounted /dev/sdb1 on behalf of uid 0
Nov 14 14:13:43 newage kernel: FAT: Filesystem panic (dev sdb1)
Nov 14 14:13:43 newage kernel: fat_get_cluster: invalid cluster chain (i_pos 0)
Nov 14 14:13:43 newage kernel: File system has been set read-only
Nov 14 14:13:43 newage kernel: FAT: Filesystem panic (dev sdb1)
Nov 14 14:13:43 newage kernel: fat_get_cluster: invalid cluster chain (i_pos 0)
Nov 14 14:13:43 newage kernel: FAT: Filesystem panic (dev sdb1)
Nov 14 14:13:43 newage kernel: fat_get_cluster: invalid cluster chain (i_pos 0)
Nov 14 14:13:43 newage kernel: FAT: Filesystem panic (dev sdb1)
Nov 14 14:13:43 newage kernel: fat_get_cluster: invalid cluster chain (i_pos 0)
Nov 14 14:13:43 newage kernel: FAT: Filesystem panic (dev sdb1)

It worked before the upgrade.

I use this USB stick for short term backups, so it would be nice to solve this.


Your Sincerely
Daniel

Version-Release number of selected component (if applicable):
2.6.23.1-21.fc7

How reproducible:
Always


Steps to Reproduce:
1. Reboot
2. Login
3. Mount stick and try to create a directory

Actual Results:
Error message could not create folder.
in messages:
Nov 14 14:13:43 newage hald: mounted /dev/sdb1 on behalf of uid 0
Nov 14 14:13:43 newage kernel: FAT: Filesystem panic (dev sdb1)
Nov 14 14:13:43 newage kernel: fat_get_cluster: invalid cluster chain (i_pos 0)
Nov 14 14:13:43 newage kernel: File system has been set read-only


Expected Results:
Work :-)

Additional info:
Comment 1 Chuck Ebbert 2007-11-14 16:00:36 EST
(In reply to comment #0)
> Nov 14 14:13:43 newage hald: mounted /dev/sdb1 on behalf of uid 0
> Nov 14 14:13:43 newage kernel: FAT: Filesystem panic (dev sdb1)
> Nov 14 14:13:43 newage kernel: fat_get_cluster: invalid cluster chain (i_pos 0)
> Nov 14 14:13:43 newage kernel: File system has been set read-only
> 

The filesystem is probably corrupted. Try it on a Windows machine and run
scandisk on it there.
Comment 2 Daniel Peterson 2007-11-25 16:56:20 EST
RESOLVED:

well, the filesystem had become corrupted.
I reformat the memory stick and it works.

Sorry, I did not check the filesystem before the format so I could be more 
precise about the error.

Well, it works!

Thanks all

/Scog

Note You need to log in before you can comment on or make changes to this bug.